Subject: Re: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Po Lu <[email-masked]>
Date: Thu, 25 Aug 2022 09:28:58 +0800

Eli Zaretskii <[email-masked]> writes:

> Make the function write to the ~/.Xresources file?

FTR, you have to install the resources onto the root window as well:

  xrdb -merge ~/.Xresources

> Of course, X doesn't necessarily understand the Emacs units of
> measuring fonts, for example the relative units.  So eventually you'll
> need separate customizations.  However, I don't expect you to have to
> change these customizations too frequently.

Yes.  The X core fonts used by the XMenu library aren't scalable, so
there is no way to tell it a desired height.  You should probably pick
from the fonts in x-fixed-font-alist (6x10 is a fixed font where glyphs
are 6 pixels wide and 10 pixels tall, 8x13 has glyphs that are 8 pixels
wide and 13 pixels tall, etc.)